Package org.bukkit.block

# Enum Class Biome

java.lang.Object
java.lang.Enum<Biome>
org.bukkit.block.Biome

All Implemented Interfaces:
  `Serializable`, `Comparable<Biome>`, `Constable`, `net.kyori.adventure.key.Keyed`, `Translatable`, `Keyed`

public enum Biome extends Enum<Biome> implements Keyed, Translatable
Holds all accepted Biomes in the default server

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BADLANDS`
`BAMBOO_JUNGLE`
`BASALT_DELTAS`
`BEACH`
`BIRCH_FOREST`
`COLD_OCEAN`
`CRIMSON_FOREST`
`CUSTOM`
Represents a custom Biome
`DARK_FOREST`
`DEEP_COLD_OCEAN`
`DEEP_DARK`
`DEEP_FROZEN_OCEAN`
`DEEP_LUKEWARM_OCEAN`
`DEEP_OCEAN`
`DESERT`
`DRIPSTONE_CAVES`
`END_BARRENS`
`END_HIGHLANDS`
`END_MIDLANDS`
`ERODED_BADLANDS`
`FLOWER_FOREST`
`FOREST`
`FROZEN_OCEAN`
`FROZEN_PEAKS`
`FROZEN_RIVER`
`GROVE`
`ICE_SPIKES`
`JAGGED_PEAKS`
`JUNGLE`
`LUKEWARM_OCEAN`
`LUSH_CAVES`
`MANGROVE_SWAMP`
`MEADOW`
`MUSHROOM_FIELDS`
`NETHER_WASTES`
`OCEAN`
`OLD_GROWTH_BIRCH_FOREST`
`OLD_GROWTH_PINE_TAIGA`
`OLD_GROWTH_SPRUCE_TAIGA`
`PLAINS`
`RIVER`
`SAVANNA`
`SAVANNA_PLATEAU`
`SMALL_END_ISLANDS`
`SNOWY_BEACH`
`SNOWY_PLAINS`
`SNOWY_SLOPES`
`SNOWY_TAIGA`
`SOUL_SAND_VALLEY`
`SPARSE_JUNGLE`
`STONY_PEAKS`
`STONY_SHORE`
`SUNFLOWER_PLAINS`
`SWAMP`
`TAIGA`
`THE_END`
`THE_VOID`
`WARM_OCEAN`
`WARPED_FOREST`
`WINDSWEPT_FOREST`
`WINDSWEPT_GRAVELLY_HILLS`
`WINDSWEPT_HILLS`
`WINDSWEPT_SAVANNA`
`WOODED_BADLANDS`

## Method Summary

Modifier and Type
Method
Description
`@NotNull NamespacedKey`
`getKey()`
Return the namespaced identifier for this object.
`@NotNull String`
`translationKey()`
Gets the translation key.
`static Biome`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Biome[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.bukkit.Keyed

`key`

## Enum Constant Details

### OCEAN

public static final Biome OCEAN

### PLAINS

public static final Biome PLAINS

### DESERT

public static final Biome DESERT

### WINDSWEPT_HILLS

public static final Biome WINDSWEPT_HILLS

### FOREST

public static final Biome FOREST

### TAIGA

public static final Biome TAIGA

### SWAMP

public static final Biome SWAMP

### MANGROVE_SWAMP

public static final Biome MANGROVE_SWAMP

### RIVER

public static final Biome RIVER

### NETHER_WASTES

public static final Biome NETHER_WASTES

### THE_END

public static final Biome THE_END

### FROZEN_OCEAN

public static final Biome FROZEN_OCEAN

### FROZEN_RIVER

public static final Biome FROZEN_RIVER

### SNOWY_PLAINS

public static final Biome SNOWY_PLAINS

### MUSHROOM_FIELDS

public static final Biome MUSHROOM_FIELDS

### BEACH

public static final Biome BEACH

### JUNGLE

public static final Biome JUNGLE

### SPARSE_JUNGLE

public static final Biome SPARSE_JUNGLE

### DEEP_OCEAN

public static final Biome DEEP_OCEAN

### STONY_SHORE

public static final Biome STONY_SHORE

### SNOWY_BEACH

public static final Biome SNOWY_BEACH

### BIRCH_FOREST

public static final Biome BIRCH_FOREST

### DARK_FOREST

public static final Biome DARK_FOREST

### SNOWY_TAIGA

public static final Biome SNOWY_TAIGA

### OLD_GROWTH_PINE_TAIGA

public static final Biome OLD_GROWTH_PINE_TAIGA

### WINDSWEPT_FOREST

public static final Biome WINDSWEPT_FOREST

### SAVANNA

public static final Biome SAVANNA

### SAVANNA_PLATEAU

public static final Biome SAVANNA_PLATEAU

### BADLANDS

public static final Biome BADLANDS

### WOODED_BADLANDS

public static final Biome WOODED_BADLANDS

### SMALL_END_ISLANDS

public static final Biome SMALL_END_ISLANDS

### END_MIDLANDS

public static final Biome END_MIDLANDS

### END_HIGHLANDS

public static final Biome END_HIGHLANDS

### END_BARRENS

public static final Biome END_BARRENS

### WARM_OCEAN

public static final Biome WARM_OCEAN

### LUKEWARM_OCEAN

public static final Biome LUKEWARM_OCEAN

### COLD_OCEAN

public static final Biome COLD_OCEAN

### DEEP_LUKEWARM_OCEAN

public static final Biome DEEP_LUKEWARM_OCEAN

### DEEP_COLD_OCEAN

public static final Biome DEEP_COLD_OCEAN

### DEEP_FROZEN_OCEAN

public static final Biome DEEP_FROZEN_OCEAN

### THE_VOID

public static final Biome THE_VOID

### SUNFLOWER_PLAINS

public static final Biome SUNFLOWER_PLAINS

### WINDSWEPT_GRAVELLY_HILLS

public static final Biome WINDSWEPT_GRAVELLY_HILLS

### FLOWER_FOREST

public static final Biome FLOWER_FOREST

### ICE_SPIKES

public static final Biome ICE_SPIKES

### OLD_GROWTH_BIRCH_FOREST

public static final Biome OLD_GROWTH_BIRCH_FOREST

### OLD_GROWTH_SPRUCE_TAIGA

public static final Biome OLD_GROWTH_SPRUCE_TAIGA

### WINDSWEPT_SAVANNA

public static final Biome WINDSWEPT_SAVANNA

### ERODED_BADLANDS

public static final Biome ERODED_BADLANDS

### BAMBOO_JUNGLE

public static final Biome BAMBOO_JUNGLE

### SOUL_SAND_VALLEY

public static final Biome SOUL_SAND_VALLEY

### CRIMSON_FOREST

public static final Biome CRIMSON_FOREST

### WARPED_FOREST

public static final Biome WARPED_FOREST

### BASALT_DELTAS

public static final Biome BASALT_DELTAS

### DRIPSTONE_CAVES

public static final Biome DRIPSTONE_CAVES

### LUSH_CAVES

public static final Biome LUSH_CAVES

### DEEP_DARK

public static final Biome DEEP_DARK

### MEADOW

public static final Biome MEADOW

### GROVE

public static final Biome GROVE

### SNOWY_SLOPES

public static final Biome SNOWY_SLOPES

### FROZEN_PEAKS

public static final Biome FROZEN_PEAKS

### JAGGED_PEAKS

public static final Biome JAGGED_PEAKS

### STONY_PEAKS

public static final Biome STONY_PEAKS

### CUSTOM

public static final Biome CUSTOM
Represents a custom Biome

## Method Details

### values

public static Biome[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Biome valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getKey

@NotNull public @NotNull NamespacedKey getKey()
Description copied from interface: `Keyed`
Return the namespaced identifier for this object.

Specified by:
  `getKey` in interface `Keyed`
Returns:
  this object's key

### translationKey

@NotNull public @NotNull String translationKey()
Description copied from interface: `net.kyori.adventure.translation.Translatable`
Gets the translation key.

Specified by:
  `translationKey` in interface `Translatable`
Returns:
  the translation key